Page MenuHomePhabricator

Rename and transfer admin of Malaysia Mailing List (wikimediamy)
Closed, ResolvedPublic

Description

I would like to request for changes to the Malaysia Mailing List (WikimediaMY). The mailing list has been inactive since 2012 and there has no Wikimedia Malaysia chapter in existence.

  1. Rename title from "Wikimedia Malaysia Chapter" to "Wikimedia Malaysia Community", which is neutral to the entire Wikimedia Community in Malaysia. The current recognized affiliate is "Wikimedia Community User Group Malaysia".
  1. Transfer admin from "wikimediamy-owner@lists.wikimedia.org" to a new one: @Taufik (User:Tofeiku).

Appreciate your kind action.

Butch
Wikimedia ESEAP Regional.Cooperation

Details

Related Gerrit Patches:

Event Timeline

Exec8 created this task.Jan 6 2020, 2:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 6 2020, 2:33 PM
Exec8 updated the task description. (Show Details)Jan 6 2020, 2:33 PM
Exec8 updated the task description. (Show Details)Jan 6 2020, 2:42 PM
Reedy removed Exec8 as the assignee of this task.Jan 6 2020, 3:20 PM
Aklapper renamed this task from Request changes to Malaysia Mailing List to Rename and transfer admin of Malaysia Mailing List (wikimediamy).Jan 6 2020, 4:22 PM

Hi @Exec8, thanks for taking the time to report this and welcome to Wikimedia Phabricator!
Please see https://meta.wikimedia.org/wiki/Mailing_lists#Create_a_new_list for required information (email address, co-admin).

Taufik added a comment.Jan 6 2020, 4:24 PM

My email is mohdtaufikrosman@gmail.com.

Exec8 added a comment.EditedJan 6 2020, 4:59 PM

You can make me a co-admin/ secondary admin. My email address is xxxxxx.

Dzahn added a subscriber: Dzahn.Jan 6 2020, 7:11 PM

Hello, i'll take this since i'm on rotating clinic duty this week.

Would it be ok with you if we simply create a new list with a new admin?

Since it's been inactive since 2012 i don't think we would need to add any redirects of the listinfo page or things like that.

That would also make a couple other things easier than an actual rename of an existing list.

Dzahn claimed this task.Jan 6 2020, 7:23 PM
Dzahn triaged this task as Medium priority.
Exec8 added a comment.EditedJan 6 2020, 10:34 PM

It will be ok. The old list will then must be deactivated to avoid public confusion having two mailing lists. If name "WikimediaMY" can't be reused, "Wikimedia_Malaysia" will be used instead.

Dzahn added a comment.Jan 6 2020, 10:57 PM

Alright. If you look at https://lists.wikimedia.org/mailman/listinfo and scroll down you'll see the standard (which hasn't always existed) moved to Wikimedia-<country> with the "-" in it. So i think the easiest way forward that is actually correct is we make "Wikimedia-MY". The old one will be closed (but not redirect) and archives will start from scratch.

Dzahn added a comment.Jan 6 2020, 11:00 PM

regarding archives: There are literally 2 messages. And only one of them was written by a human and never got a reply.

https://lists.wikimedia.org/pipermail/wikimediamy/

So we don't need to worry about that either way.

We could copy https://lists.wikimedia.org/pipermail/wikimediamy/2012-February/000000.html over to this ticket because that might still be a relevant question waiting for an answer though.

Mentioned in SAL (#wikimedia-operations) [2020-01-06T23:12:27Z] <mutante> mailman - running /usr/local/sbin/rename_list wikimediamy wikimedia-my (T241988)

Change 562384 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] exim: add listserver_alias for renamed list wikimediamy

https://gerrit.wikimedia.org/r/562384

Change 562384 merged by Dzahn:
[operations/puppet@production] exim: add listserver_alias for renamed list wikimediamy

https://gerrit.wikimedia.org/r/562384

Change 562386 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] mailman: add http redirect for renamed listinfo page of wikimediamy

https://gerrit.wikimedia.org/r/562386

Change 562386 merged by Dzahn:
[operations/puppet@production] mailman: add http redirect for renamed listinfo page of wikimediamy

https://gerrit.wikimedia.org/r/562386

Dzahn added a comment.Jan 6 2020, 11:34 PM

Hi again @Exec8, @Taufik,

despite what i said earlier i did a proper rename.

Dzahn closed this task as Resolved.Jan 6 2020, 11:35 PM
Exec8 added a comment.EditedJan 7 2020, 10:18 AM

There are still issues:

  1. I checked the roster of mailing lists and I noticed that this one (wikimedia-my) is the only with lowercase "w" for the word "wikimedia". Please change to use uppercase "W"
  1. The wikimedia-my has text pointing to the old list

WikimediaMY list run by wikimediamy-owner at lists.wikimedia.org
WikimediaMY administrative interface (requires authorization)
Overview of all lists.wikimedia.org mailing lists

  1. Admin page new mailing list https://lists.wikimedia.org/mailman/admin/wikimedia-my has text showing a different admin email address: "koalascott2"

wikimedia-my list run by koalascott2 at gmail.com
wikimedia-my administrative interface (requires authorization)
Overview of all lists.wikimedia.org mailing lists

  1. I have not received the mailing list admin password.
  1. I received admin notification for the old mailing list "WikimediaMY" but not the new mailing list "wikimedia-my"
  1. Admin page of the old mailing list https://lists.wikimedia.org/mailman/admin/wikimediamy has text showing a different admin email address "koalascott2" and our email address.

WikimediaMY list run by koalascott2 at gmail.com, mohdtaufikrosman at gmail.com, bustrias at gmail.com
WikimediaMY administrative interface (requires authorization)
Overview of all lists.wikimedia.org mailing lists

  1. The mailing list page still has the title "Wikimedia Malaysia Chapter"

Please let us know if we will use the same thread or if we will need to raise it as a new task request.

Dzahn added a comment.Jan 7 2020, 6:11 PM

There are still issues:

  1. I checked the roster of mailing lists and I noticed that this one (wikimedia-my) is the only with lowercase "w" for the word "wikimedia". Please change to use uppercase "W"

Fixed. (In the web admin interface of the new list, you can change the case yourself as you like once you have access).

  1. The wikimedia-my has text pointing to the old list

Fixed. (In the web admin interface of the new list, you can change all the HTML of those pages as you like once you have access).

  1. Admin page new mailing list https://lists.wikimedia.org/mailman/admin/wikimedia-my has text showing a different admin email address: "koalascott2"

Fixed. Added the 2 new admins.

  1. I have not received the mailing list admin password.

You should have received it now.

  1. I received admin notification for the old mailing list "WikimediaMY" but not the new mailing list "wikimedia-my"

Fixed. Removed you as admin from old list.. added on NEW list.

Admin page of the old mailing list https://lists.wikimedia.org/mailman/admin/wikimediamy has text showing a different admin email address "koalascott2" and our email address.

This was on purpose to inform the old admin of the changes if he is still around and receiving mail by any chance.

  1. The mailing list page still has the title "Wikimedia Malaysia Chapter"

Fixed. It was changed only in old list by accident.

Please let us know if we will use the same thread or if we will need to raise it as a new task request.

No new ticket needed. This is fine, it's still part of the request.